
local menu = {}

function menu:init()
	-- Load resources
	self.icon = love.graphics.newImage("assets/icon-48.png")
	self.click = love.graphics.newImage("assets/click.png")
	self.scroll = love.graphics.newImage("assets/scroll.png")
	self.tab = love.graphics.newImage("assets/tab.png")
	self.return_ = love.graphics.newImage("assets/return.png")
	self.font = love.graphics.newImageFont("assets/font.png",
		"ABCDEFGHIJKLMNOPQRSTUVWXYZ0123456789 .,!")

	-- Save the default font	
	self.defaultfont = love.graphics.getFont()

	-- Create the canvas
	self.canvas = love.graphics.newCanvas(256, 256)
	self.canvas:setFilter("nearest", "nearest")
end

function menu:draw()
	-- Draw to the canvas instead of the screen
	love.graphics.setCanvas(self.canvas)

	-- Set the background
	love.graphics.clear(255, 128, 128)

	-- Set the font
	love.graphics.setFont(self.font)

	-- Draw the menu
	love.graphics.draw(self.icon, 104, 16)

	love.graphics.draw(self.click, 16, 80)
	love.graphics.print("TOGGLE CELL", 64, 92)

	love.graphics.draw(self.scroll, 16, 120)
	love.graphics.print("ADJUST INTERVAL", 64, 132)

	love.graphics.draw(self.tab, 16, 160)
	love.graphics.print("SWITCH MODE", 64, 172)

	love.graphics.draw(self.return_, 16, 200)
	love.graphics.print("START THE GAME", 64, 212)

	-- Reset the font
	love.graphics.setFont(self.defaultfont)

	-- Draw the canvas to the screen
	love.graphics.setCanvas()
	love.graphics.draw(self.canvas, 0, 0, 0, scaleX, scaleY)
end

function menu:keypressed(key)
	if key == "return" then
		gamestate.switch(editor)
	end
end

return menu
